/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

.paragraph-no-margin p,
.margin-bottom-none {
	margin-bottom: 0;
}




a {
	text-decoration: none!important;
}

#site-navigation {
	border-bottom: 1px solid #daddef;
}

.has-green-gradient {
	 background: rgb(181,208,93);
     background: radial-gradient(circle, #d3e3a6, #b8d584); 
}

.image-effect-container figure {
	overflow: hidden;
}

.image-has-hover-effect {
	transition: transform 500ms ease-in-out;

}
.image-has-hover-effect:hover {
	transform: scale(1.1);
}

/* ACCORDION LOGIC */ 
.accordion-button:hover {
	cursor: pointer;
}

.accordion-text {
	overflow: hidden;
    transition: none;
}

.accordion-text.active {
	transition: max-height 2s ease-in-out;
}

.toggled + .accordion-text {
	max-height: 5000px;
	padding: 1em;
}

@media screen and (min-width: 798px) {
	.is-centered-bg-sc {
	text-align: center;
}
}

/* FORM */

.form-inner {
	display: grid;
	text-align: center;
	gap: 1em;
}

.form-inner .form-input {
	border: 1px solid #4c2795;
	border-radius: 10px;
	text-align: center;
	display: block;
	width: 100%;
	color: #4c2795;
	background-color: #fff;
}

.form-input-container .form-btn {
	background-color: #a78bc0;
	color: #ffffff;
	border-radius: 5px;
	font-weight: bold;
	text-transform: uppercase;
}

.form-input-container .form-btn:hover {
	background-color: #4c2795;
	color: #ffae47;
}

.wpcf7-spinner {
	margin: 0;
	display: block;
} 


@media screen and (min-width: 798px) {
	.form-inner {
		grid-template-columns: 2fr 1fr 1fr 2fr;
	}
	
	.col-span-2 {
		grid-column: span 2;
	}
	
	.col-full {
		grid-column: 1/-1;
	}
	
	.col-middle {
		grid-column: 2/4;
	}
}
